from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if user.has_perm('newsletter.view_newsletter'):
        root_menu = items.MenuItem(
            title=_('Newsletter'),
            children=[],
            url = reverse('admin:newsletter_newsletter_changelist')
        )
        children.append(root_menu)
    return None

def add_extended_menuitems(children, current_app):
    generic_menu = GenericMenuItem(current_app, ['newsletter', 'mailinglist', 'smtpserver', 'contact', 'link', 'contactmailingstatus'])
    user = get_current_user()

    menu = generic_menu.get_menu()
    [ children.append(m) for m in menu ]

