"""Command for sending the newsletter"""
from django.db import connection
from django.conf import settings
from django.utils.translation import activate
from django.core.management.base import NoArgsCommand

from newsletter.mailer import Mailer
from newsletter.models import Newsletter, ContactMailingStatus


class Command(NoArgsCommand):
    """Clean contact mailing error status"""
    help = 'Clean contact mailing error status'

    def handle_noargs(self, **options):
        verbose = int(options['verbosity'])

        cursor = connection.cursor()
        cursor.execute("select c.email, count(*) from newsletter_contactmailingstatus n, newsletter_contact c where n.contact_id = c.id and status in (0,9) group by c.email having count(c.email) > 1")

        for row in cursor.fetchall():
            cms = ContactMailingStatus.objects.filter(contact__email = row[0]).order_by('status')

            for i, c in enumerate(cms):
                if c.status == 9:
                    c.delete()
#        cms = ContactMailingStatus.objects.filter(status=1)
#        for cm in cms:
#            if ContactMailingStatus.objects.filter(contact__email=cm.contact.email,
#                                                   status=0,
#                                                   newsletter=cm.newsletter):
#                cms.delete()