# -*- coding: utf-8 -*-

from django.conf.urls.defaults import url
from django.conf.urls.defaults import patterns

from newsletter.forms import MailingListSubscriptionForm
from newsletter.forms import AllMailingListSubscriptionForm

# MAILING LIST
urlpatterns = patterns('newsletter.views',
    url(
        r'^mailing/unsubscribe/(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',
        'view_mailinglist_unsubscribe',
        name='newsletter_mailinglist_unsubscribe'
    ),
    url(
        r'^mailing/subscribe/(?P<mailing_list_id>\d+)/',
        'view_mailinglist_subscribe',
        {'form_class': MailingListSubscriptionForm},
        name='newsletter_mailinglist_subscribe'
    ),
    url(
        r'^mailing/subscribe/',
        'view_mailinglist_subscribe',
        {'form_class': AllMailingListSubscriptionForm},
        name='newsletter_mailinglist_subscribe_all'
    ),
)

# TRACKING
urlpatterns += patterns('newsletter.views',
    url(
        r'^tracking/(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+).png$',
        'view_newsletter_tracking',
        name='newsletter_newsletter_tracking'
    ),
    url(
        r'^tracking/link/(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/(?P<link_id>\d+)/$',
        'view_newsletter_tracking_link',
        name='newsletter_newsletter_tracking_link'
    ),
)

# STATISTICS
urlpatterns += patterns('newsletter.views',
    url(
        r'^statistics/(?P<slug>[-\w]+)/$',
        'view_newsletter_statistics',
        name='newsletter_newsletter_statistics'
    ),
    url(
        r'^statistics/report/(?P<slug>[-\w]+)/$',
        'view_newsletter_report',
        name='newsletter_newsletter_report'
    ),
    url(
        r'^statistics/charts/(?P<slug>[-\w]+)/$',
        'view_newsletter_charts',
        name='newsletter_newsletter_charts'
    ),
    url(
        r'^statistics/density/(?P<slug>[-\w]+)/$',
        'view_newsletter_density',
        name='newsletter_newsletter_density'
    ),
)

# NEWSLETTER
urlpatterns += patterns('newsletter.views',
    url(
        r'^preview/(?P<slug>[-\w]+)/$',
        'view_newsletter_preview',
        name='newsletter_newsletter_preview'
    ),
    url(
        r'^(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',
        'view_newsletter_contact',
        name='newsletter_newsletter_contact'
    ),
)
